Get container snapshot
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
scope?
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/inventory:snapshot" \ -H "Content-Type: application/json" \ -d '{}'{ "container": { "containerId": 0, "stateId": 0, "revision": "string", "containerType": "string", "title": { "plainText": "string", "json": "string" }, "layout": { "title": "string", "regions": [ { "id": "string", "label": "string", "startIndex": 0, "slotCount": 0, "columns": 0, "type": "SLOT_REGION_NORMAL" } ], "totalSlots": 0, "buttons": [ { "buttonId": 0, "label": "string", "iconItemId": "string", "description": "string", "disabled": true, "selected": true } ], "containerType": "string", "textInputs": [ { "id": "string", "label": "string", "currentValue": "string", "maxLength": 0, "placeholder": "string" } ], "bookPages": [ { "pageNumber": 0, "content": "string" } ], "currentBookPage": 0 }, "slots": [ { "slot": 0, "area": "INVENTORY_AREA_UNSPECIFIED", "item": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } }, "mayPlace": true, "mayPickup": true } ], "carried": { "itemId": "string", "count": 0, "maxStackSize": 0, "damage": 0, "maxDamage": 0, "customName": { "plainText": "string", "json": "string" }, "lore": [ { "plainText": "string", "json": "string" } ], "enchantments": [ { "enchantmentId": "string", "level": 0 } ], "food": { "nutrition": 0, "saturationModifier": 0.1, "canAlwaysEat": true, "eatSeconds": 0.1 }, "tool": { "toolTags": [ "string" ], "defaultMiningSpeed": 0.1, "harvestLevel": 0 }, "armor": { "equipmentSlot": "string", "defense": 0, "toughness": 0.1, "knockbackResistance": 0.1 }, "components": {}, "customDataNbt": "string", "fingerprint": "string", "potion": { "potionId": "string", "effects": [ { "effectId": "string", "amplifier": 0, "durationTicks": 0, "ambient": true, "visible": true, "showIcon": true } ], "color": 0 } }, "selectedHotbarSlot": 0 }}How is this page?
